> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Profit sharing details

GET https://www.okx.com/api/v5/copytrading/profit-sharing-details

The leading trader gets profits shared details for the last 3 months.

Reference: https://okx-demo.ferndocs.com/api/api-reference/copy-trading/get-profit-sharing-details

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Query parameters

- `instType` (enum, optional) — Instrument type `SPOT` `SWAP` It returns all types by default.
  - Allowed values: `SPOT`, `SWAP`
- `after` (string, optional) — Pagination of data to return records earlier than the requested `profitSharingId`
- `before` (string, optional) — Pagination of data to return records newer than the requested `profitSharingId`
- `limit` (string, optional) — Number of results per request. Maximum is 100. Default is 100.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5CopytradingProfitSharingDetailsGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5CopytradingProfitSharingDetailsGetResponsesContentApplicationJsonSchemaDataItems

- `profitSharingId` (string, optional) — Profit sharing ID.
- `instType` (string, optional) — Instrument type
- `ccy` (string, optional) — The currency of profit sharing.
- `profitSharingAmt` (string, optional) — Profit sharing amount. It would be 0 if there is no any profit sharing.
- `nickName` (string, optional) — Nickname of copy trader.
- `portLink` (string, optional) — Portrait link
- `ts` (string, optional) — Profit sharing time.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "profitSharingId": "148",
      "instType": "SWAP",
      "ccy": "USDT",
      "profitSharingAmt": "0.00536",
      "nickName": "Potato",
      "portLink": "",
      "ts": "1723392000000"
    },
    {
      "profitSharingId": "20",
      "instType": "SWAP",
      "ccy": "USDT",
      "profitSharingAmt": "0.00336",
      "nickName": "Apple",
      "portLink": "",
      "ts": "1723392000000"
    }
  ]
}
```

**SDK Code**

```python copyTrading_getProfitSharingDetails_example
import requests

url = "https://www.okx.com/api/v5/copytrading/profit-sharing-details"

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript copyTrading_getProfitSharingDetails_example
const url = 'https://www.okx.com/api/v5/copytrading/profit-sharing-details';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go copyTrading_getProfitSharingDetails_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/copytrading/profit-sharing-details"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby copyTrading_getProfitSharingDetails_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/copytrading/profit-sharing-details")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java copyTrading_getProfitSharingDetails_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/copytrading/profit-sharing-details")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php copyTrading_getProfitSharingDetails_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/copytrading/profit-sharing-details', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp copyTrading_getProfitSharingDetails_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/copytrading/profit-sharing-details");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift copyTrading_getProfitSharingDetails_example
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/copytrading/profit-sharing-details")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```